package org.wfc.omada.api.insight.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * IPS threatId and Time list.
 */
@ApiModel(description = "IPS threatId and Time list.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:42:30.396+08:00[Asia/Shanghai]")

public class IpsOperateThreatIdAndTime   {
  @JsonProperty("time")
  private Long time;

  @JsonProperty("id")
  private String id;

  public IpsOperateThreatIdAndTime time(Long time) {
    this.time = time;
    return this;
  }

  /**
   * Timestamp, in seconds, such as 1682000000
   * @return time
  */
  @ApiModelProperty(required = true, value = "Timestamp, in seconds, such as 1682000000")
  @NotNull


  public Long getTime() {
    return time;
  }

  public void setTime(Long time) {
    this.time = time;
  }

  public IpsOperateThreatIdAndTime id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Threat ID
   * @return id
  */
  @ApiModelProperty(required = true, value = "Threat ID")
  @NotNull


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IpsOperateThreatIdAndTime ipsOperateThreatIdAndTime = (IpsOperateThreatIdAndTime) o;
    return Objects.equals(this.time, ipsOperateThreatIdAndTime.time) &&
        Objects.equals(this.id, ipsOperateThreatIdAndTime.id);
  }

  @Override
  public int hashCode() {
    return Objects.hash(time, id);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IpsOperateThreatIdAndTime {\n");
    
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

